id: unleash-panel

info:
  name: Unleash Panel - Detect
  author: userdehghani
  severity: info
  description: |
    Open-source feature management solution built for developers.
  reference:
    - https://www.getunleash.io/
  metadata:
    verified: true
    max-request: 3
    shodan-query: http.favicon.hash:-608690655
  tags: panel,unleash,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/login"
      - "{{BaseURL}}/sign-in"
      - "{{BaseURL}}/favicon.ico"

    stop-at-first-match: true
    matchers-condition: or
    matchers:
      - type: word
        part: body
        words:
          - '<title>Unleash'
          - 'content="unleash'
          - 'alt="getunleash'
          - 'Sign-in - Unleash hosted'
        case-insensitive: true
        condition: or

      - type: dsl
        dsl:
          - "status_code==200 && (\"-608690655\" == mmh3(base64_py(body)))"
# digest: 490a0046304402200a91e3530175d5f15ca9a01ea5ab114c6fa0fb3ae278e91bd13a3dbb2008ac7f0220260b9c11f065822fa2db2ec6a16a7e51cd6893b7064e1e02d0e6adf08629bec3:922c64590222798bb761d5b6d8e72950